MONGOC_BULK_OPERATION_EXECUTE(3)

NAME
mongoc_bulk_operation_execute() - None

SYNOPSIS

uint32_t
mongoc_bulk_operation_execute (mongoc_bulk_operation_t *bulk,
                               bson_t                  *reply,
                               bson_error_t            *error);

This function executes all operations queued into the bulk operation. If ordered was specified to mongoc_collection_create_bulk_operation(3) , then forward progress will be stopped upon the first error.

It is only valid to call mongoc_bulk_operation_execute(3) once. The mongoc_bulk_operation_t must be destroyed afterwards.

NOTE
    reply is always initialized, even upon failure. Callers must call bson_destroy(3) to release this potential allocation.

PARAMETERS

bulk
    A mongoc_bulk_operation_t \&.

reply
    A bson_t \&.

error
    An optional location for a bson_error_t or NULL \&.

ERRORS

Errors are propagated via the error parameter.

RETURNS

A non-zero hint of the peer node on success, otherwise 0 and error is set.

The reply document counts operations and collects error information. See Bulk Write Operations for examples.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.